spring:
  application:
    name: demo-cli
    team: bss
  main:
    banner-mode: off

    
###################
# HTTP CLIENT ENDPOINT
###################
http:
  client:
    endpoints:
      users-api:
        url: https://reqres.in/api/users
        readTimeout: 1000
        connectTimeout: 1000
        basicAuthen:
          username: xxx
          password: yyy
        info:
          system: bss-lab
          contact: K Supa DeeJang ( 0865187768 )  
        logging:
          max-body-size: 512
          hidden-header:
            - content-type
            - content-length
          hidden-body: 
            - password
            - first_name
            - page
            - thai-id
          paths:
            - regex-path: /api/.* # Regular expression format
              enabled-request-body: true # { true, false ( Default is false )
              enabled-response-body: false # { true, false ( Default is false  ) 
